/*--------------------------------------------------------------------------
 * testres.h - definitions/declarations for Residual tests
 *
 *       (C) Jurgen Doornik 1994-2001
 *
 *--------------------------------------------------------------------------*/

#ifndef TESTRES_INCLUDED
#define TESTRES_INCLUDED

GetFapproximation(const cW, const cT, const cYa, const cWa,
	const adRsq, const adF1, const adF2);
PrintTestValFixed(const sPre, const dTest, const cR, const cTdf, const sPost);	
PortmanteauTest(const mY, iLag, const cDfLoss, const fPrint);
PortmanteauTestNoMean(const mY, iLag, const cDfLoss, const iPrint);
NormalityTest(mX, const bPrint);
ArchTest(const mY, const iAr1, const iAr2, const cDfLoss, const bPrint);

#endif /* TESTRES_INCLUDED */
